Bug 2008899 - python-kerberos: SystemError: PY_SSIZE_T_CLEAN macro must be defined for '#' formats
Summary: python-kerberos: SystemError: PY_SSIZE_T_CLEAN macro must be defined for '#' ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-kerberos
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rob Crittenden
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3.10
TreeView+ depends on / blocked
 
Reported: 2021-09-29 12:59 UTC by Miro Hrončok
Modified: 2021-10-01 00:14 UTC (History)
3 users (show)

Fixed In Version: python-kerberos-1.3.0-14.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-01 00:14:57 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github apple ccs-pykerberos issues 88 0 None open SystemError thrown with Python 3.10 2021-09-29 13:01:24 UTC
Red Hat Issue Tracker FREEIPA-6973 0 None None None 2021-09-29 13:02:11 UTC

Description Miro Hrončok 2021-09-29 12:59:09 UTC
Description of problem:
Using python-kerberos is broken on Python 3.10+

>>> import kerberos
>>> kerberos.__file__
'/usr/lib64/python3.10/site-packages/kerberos.cpython-310-x86_64-linux-gnu.so'
>>> kerberos.channelBindings(application_data=...)
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
SystemError: PY_SSIZE_T_CLEAN macro must be defined for '#' formats

Version-Release number of selected component (if applicable): python3-kerberos-1.3.0-13.fc35.x86_64


How reproducible: Easy.


Steps to Reproduce:
1. Run Python 3.10 on Fedora 35 or 36.
2. Import kerberos
3. Run kerberos.channelBindings(application_data=...)

Actual results:
SystemError: PY_SSIZE_T_CLEAN macro must be defined for '#' formats

Expected results:
No SystemError.

Additional info: This breaks the Red Hat internal rhpkg tool, see https://bugzilla.redhat.com/show_bug.cgi?id=1890878#c8 and below.

Comment 1 Miro Hrončok 2021-09-29 13:01:25 UTC
Upstream report: https://github.com/apple/ccs-pykerberos/issues/88

This could have been caught much sooner if only there were some tests executed in %check :/

Comment 2 Miro Hrončok 2021-09-29 13:09:44 UTC
> This could have been caught much sooner if only there were some tests
> executed in %check :/

Unfortunately, I see now that setting that up would not be very easy. https://github.com/apple/ccs-pykerberos/blob/PyKerberos-1.3.0/testing_notes.md

Comment 4 Fedora Update System 2021-09-29 14:02:02 UTC
FEDORA-2021-aa8e7b6146 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-aa8e7b6146

Comment 5 Fedora Update System 2021-09-30 01:43:34 UTC
FEDORA-2021-aa8e7b6146 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-aa8e7b6146`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-aa8e7b6146

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-10-01 00:14:57 UTC
FEDORA-2021-aa8e7b6146 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.